Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IDominoContact

All Superinterfaces:
  IAttachmentSupport, IContact, IDominoPerson, IGroupwareItem, IItem, IMessagingItem, IPerson, java.io.Serializable

public interface IDominoContact
extends IContact, IDominoPerson, IAttachmentSupport

This interface is used for Domino specific contacts. There are several mappings of groupware keys to Domino concepts which are worth noting:

Collab Key | Domino Concept
Business Phone (`IPerson.BUSINESS_PHONE`) | Office Phone Number (Label 1, `DominoKey.OFFICE_PHONE_NUMBER`)
Home Phone (`IPerson.PERSONAL_PHONE`) | Home Phone Number (Label 2, `DominoKey.HOME_PHONE_NUMBER`)
Home Phone (`IPerson.PERSONAL_MOBILE_PHONE`) | Home Phone Number (Label 2, `DominoKey.CELL_PHONE_NUMBER`)
Business Fax (`IPerson.BUSINESS_FAX`) | Office Fax Phone Number (Label 3, `DominoKey.OFFICE_FAX_PHONE_NUMBER`)
Home Fax (`IPerson.PERSONAL_FAX`) | Home Fax Number (Label 4, `DominoKey.HOME_FAX_PHONE_NUMBER`)
Business Pager (`IPerson.BUSINESS_PAGER`) | Pager (Label 5, `DominoKey.PAGER`)
Company Name (`IPerson.COMPANY_NAME`) | Company Name (`DominoKey.COMPANY_NAME`)
Children (`IContact.CHILDREN`, 0th element) | Children (`DominoKey.CHILDREN`)
Department Name (`IPerson.DEPARTMENT_NAME`) | Department (`DominoKey.DEPARTMENT`)
Manager Name (`IPerson.MANAGER_NAME`) | Manager (`DominoKey.MANAGER`)
Job Title (`IPerson.JOB_TITLE`) | Job Title (`DominoKey.JOB_TITLE`)
Office Location (`IPerson.OFFICE_LOCATION`) | Location (`DominoKey.LOCATION`)
Spouse Name (`IContact.SPOUSE_NAME`) | Spouse (`DominoKey.SPOUSE`)
First Name (`IPerson.FIRST_NAME`) | First Name (`DominoKey.FIRST_NAME`)
Last Name (`IPerson.LAST_NAME`) | Last Name (`DominoKey.LAST_NAME`)
Middle Name (`IPerson.MIDDLE_NAME`) | Middle Initial (`DominoKey.MIDDLE_INITIAL`)
Web Page (`IPerson.WEB_PAGE`) | Web Site (`DominoKey.WEB_SITE`)
Name Suffix (`IPerson.NAME_SUFFIX`) | Suffix (`DominoKey.SUFFIX`)
Name Prefix (`IPerson.NAME_PREFIX`) | Title (`DominoKey.TITLE`)
Business Address City (`IPerson.BUSINESS_ADDRESS_CITY`) | Office City (`DominoKey.OFFICE_CITY`)
Business Address State (`IPerson.BUSINESS_ADDRESS_STATE`) | Office State (`DominoKey.OFFICE_STATE`)
Business Address Postal Code (`IPerson.BUSINESS_ADDRESS_POSTAL_CODE`) | Office Zip (`DominoKey.OFFICE_ZIP`)
Business Address Country (`IPerson.BUSINESS_ADDRESS_COUNTRY`) | Office Country (`DominoKey.OFFICE_COUNTRY`)
Business Address Street (`IPerson.BUSINESS_ADDRESS_STREET`) | Office Street Address (`DominoKey.OFFICE_STREET_ADDRESS`)
Personal Address City (`IPerson.PERSONAL_ADDRESS_CITY`) | Home City (`DominoKey.HOME_CITY`)
Personal Address State (`IPerson.PERSONAL_ADDRESS_STATE`) | Home State (`DominoKey.HOME_STATE`)
Personal Address Postal Code (`IPerson.PERSONAL_ADDRESS_POSTAL_CODE`) | Home Zip (`DominoKey.HOME_ZIP`)
Personal Address Country (`IPerson.PERSONAL_ADDRESS_COUNTRY`) | Home Country (`DominoKey.HOME_COUNTRY`)
Personal Address Street (`IPerson.PERSONAL_ADDRESS_STREET`) | Home Street Address (`DominoKey.HOME_STREET_ADDRESS`)
Birthday (`IContact.BIRTHDAY`) | Birthday (`DominoKey.BIRTHDAY`)
SMTP Address (`IPerson.SMTP_ADDRESS`) | Email Address (`DominoKey.EMAIL_ADDRESS`, `DominoKey.INTERNET_ADDRESS`)

An example of creating a Domino contact follows

Sample code:

    /**
     * The <code>createContact</code> method demonstrates how to create a
     * contact with the Domino provider.
     *
     * @throws  CollaborationException  if the session factory could not instantiate
     *          a session with the given parameters, or if there was an error
     *          retrieving folders, setting properties, or sending a message.
     */
    public  void    createContact
    (
    )
    throws  CollaborationException
        {
        HashMap props = new HashMap ();

        props.put (ISession.PROP_PROVIDER, IDominoSession.INTERNAL_NAME);
        props.put (IDominoSession.PROP_SERVICE_URL, "server");
        props.put (IDominoSession.PROP_USER_USERNAME, "username");
        props.put (IDominoSession.PROP_USER_PASSWORD, "password");

        IDominoSession session = (IDominoSession) SessionFactory.createSession (
            props);

        session.login ();

        // get default container
        IDominoContactsContainer contacts = (IDominoContactsContainer)
            session.getDefaultContainer (DefaultContainerClassEnum.CONTACTS);

        IItem item = contacts.add ();

        IDominoContact contact = (IDominoContact) item;

        // IPerson
        contact.setAssistant ("Assistant");
        contact.setJobTitle ("Title");
        contact.setCompanyName ("Company");
        contact.setDepartmentName ("Department");
        contact.setOfficeLocation ("Office Location");
        contact.setManagerName ("Manager Name");
        contact.setBusinessAddress (new PostalAddress ("Business Street",
            "Business City", "Business State", "Business Country", "Business Postal Code"));
        contact.setPersonalAddress (new PostalAddress ("Personal Street",
            "Personal City", "Personal State", "Personal Country", "Personal Postal Code"));
        contact.setBusinessPhone (new PhoneNumber ("Business Phone"));
        contact.setBusinessFax (new PhoneNumber ("Business Fax"));
        contact.setHomePhone (new PhoneNumber ("Home Phone"));
        contact.setHomeFax (new PhoneNumber ("Home Fax"));
        contact.setBusinessPager (new PhoneNumber ("Business Pager"));
        contact.setPersonalMobilePhone (new PhoneNumber ("Mobile Phone"));
        contact.setWebPage ("Web Page");
        contact.setSmtpAddress ("first.last@compoze.com");
        contact.setName ("Prefix", "First", "Middle", "Last", "Suffix");

        // IContact
        contact.setBirthday (new Date());
        contact.setChildren (new String[] { "Child1", "Child2" });
        contact.setSpouse ("Spouse");

        // IDominoContact
        contact.setPhoneticName ("Phonetic Name");
        contact.setPhoneLabel1 ("Phone Label 1");
        contact.setPhoneLabel2 ("Phone Label 2");
        contact.setPhoneLabel3 ("Phone Label 3");
        contact.setPhoneLabel4 ("Phone Label 4");
        contact.setPhoneLabel5 ("Phone Label 5");
        contact.setPhoneLabel6 ("Phone Label 6");
        contact.setComment ("Comment");
        contact.setShortName ("short_name");
        contact.setFullName ("Full Name");

        contact.commit ();

        contact.addAttachment (new FileAttachmentSource ("c:\\file.txt"));

        session.close ();
        }

Field Summary
`static ItemClass` | `CLASS` The item class of `IDominoContact`.
`static Key` | `COMMENT` Key that represents the comment.
`static int` | `KEYID_COMMENT` The `int` ID for the `COMMENT` key.
`static int` | `KEYID_PHONE_LABEL_1` The `int` ID for the `PHONE_LABEL_1` key.
`static int` | `KEYID_PHONE_LABEL_2` The `int` ID for the `PHONE_LABEL_2` key.
`static int` | `KEYID_PHONE_LABEL_3` The `int` ID for the `PHONE_LABEL_3` key.
`static int` | `KEYID_PHONE_LABEL_4` The `int` ID for the `PHONE_LABEL_4` key.
`static int` | `KEYID_PHONE_LABEL_5` The `int` ID for the `PHONE_LABEL_5` key.
`static int` | `KEYID_PHONE_LABEL_6` The `int` ID for the `PHONE_LABEL_6` key.
`static int` | `KEYID_PHONETIC_NAME` The `int` ID for the `PHONETIC_NAME` key.
`static int` | `KEYID_SHORT_NAME` The `int` ID for the `SHORT_NAME` key.
`static Key` | `PHONE_LABEL_1` Key that represents the phone label 1.
`static Key` | `PHONE_LABEL_2` Key that represents the phone label 2.
`static Key` | `PHONE_LABEL_3` Key that represents the phone label 3.
`static Key` | `PHONE_LABEL_4` Key that represents the phone label 4.
`static Key` | `PHONE_LABEL_5` Key that represents the phone label 5.
`static Key` | `PHONE_LABEL_6` Key that represents the phone label 6.
`static Key` | `PHONETIC_NAME` Key that represents the phonetic name.
`static Key` | `SHORT_NAME` Key that represents the short name.

Fields inherited from interface com.compoze.collab.groupware.IContact
`BIRTHDAY, CHILDREN, KEYID_BIRTHDAY, KEYID_CHILDREN, KEYID_SPOUSE_NAME, SPOUSE_NAME`

Fields inherited from interface com.compoze.collab.groupware.IPerson
`ASSISTANT, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX, BUSINESS_PAGER, BUSINESS_PHONE, COMPANY_NAME, DEPARTMENT_NAME, DISPLAY_NAME, FIRST_NAME, JOB_TITLE, KEYID_ASSISTANT, KEYID_BUSINESS_ADDRESS_CITY, KEYID_BUSINESS_ADDRESS_COUNTRY, KEYID_BUSINESS_ADDRESS_POSTAL_CODE, KEYID_BUSINESS_ADDRESS_STATE, KEYID_BUSINESS_ADDRESS_STREET, KEYID_BUSINESS_FAX, KEYID_BUSINESS_PAGER, KEYID_BUSINESS_PHONE, KEYID_COMPANY_NAME, KEYID_DEPARTMENT_NAME, KEYID_DISPLAY_NAME, KEYID_FIRST_NAME, KEYID_JOB_TITLE, KEYID_LAST_NAME, KEYID_MANAGER_NAME, KEYID_MIDDLE_NAME, KEYID_NAME_PREFIX, KEYID_NAME_SUFFIX, KEYID_OFFICE_LOCATION, KEYID_PERSONAL_ADDRESS_CITY, KEYID_PERSONAL_ADDRESS_COUNTRY, KEYID_PERSONAL_ADDRESS_POSTAL_CODE, KEYID_PERSONAL_ADDRESS_STATE, KEYID_PERSONAL_ADDRESS_STREET, KEYID_PERSONAL_FAX, KEYID_PERSONAL_MOBILE_PHONE, KEYID_PERSONAL_PHONE, KEYID_SMTP_ADDRESS, KEYID_WEB_PAGE, LAST_NAME, MANAGER_NAME, MIDDLE_NAME, NAME_PREFIX, NAME_SUFFIX, OFFICE_LOCATION, PERSONAL_ADDRESS_CITY, PERSONAL_ADDRESS_COUNTRY, PERSONAL_ADDRESS_POSTAL_CODE, PERSONAL_ADDRESS_STATE, PERSONAL_ADDRESS_STREET, PERSONAL_FAX, PERSONAL_MOBILE_PHONE, PERSONAL_PHONE, SMTP_ADDRESS, WEB_PAGE`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.domino.IDominoPerson
`FULL_NAME, KEYID_FULL_NAME`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`java.lang.String` | `getComment()` Gets the comment of the contact.
`java.lang.String` | `getPhoneLabel1()` Gets the phone label 1 for the contact.
`java.lang.String` | `getPhoneLabel2()` Gets the phone label 2 for the contact.
`java.lang.String` | `getPhoneLabel3()` Gets the phone label 3 for the contact.
`java.lang.String` | `getPhoneLabel4()` Gets the phone label 4 for the contact.
`java.lang.String` | `getPhoneLabel5()` Gets the phone label 5 for the contact.
`java.lang.String` | `getPhoneLabel6()` Gets the phone label 6 for the contact.
`java.lang.String` | `getPhoneticName()` Gets the phonetic name of the contact.
`java.lang.String` | `getShortName()` Gets the short name of the contact.
`void` | `setComment(java.lang.String sComment)` Sets the comment of the contact.
`void` | `setFullName(java.lang.String sFullName)` Sets the full name of the contact.
`void` | `setPhoneLabel1(java.lang.String sPhoneLabel1)` Sets the phone label 1 for the contact.
`void` | `setPhoneLabel2(java.lang.String sPhoneLabel2)` Sets the phone label 2 for the contact.
`void` | `setPhoneLabel3(java.lang.String sPhoneLabel3)` Sets the phone label 3 for the contact.
`void` | `setPhoneLabel4(java.lang.String sPhoneLabel4)` Sets the phone label 4 for the contact.
`void` | `setPhoneLabel5(java.lang.String sPhoneLabel5)` Sets the phone label 5 for the contact.
`void` | `setPhoneLabel6(java.lang.String sPhoneLabel6)` Sets the phone label 6 for the contact.
`void` | `setPhoneticName(java.lang.String sName)` Sets the phonetic name of the contact.
`void` | `setShortName(java.lang.String sShortName)` Sets the short name of the contact.

Methods inherited from interface com.compoze.collab.groupware.IContact
`getBirthday, getChildren, getSpouse, setBirthday, setChildren, setSpouse`

Methods inherited from interface com.compoze.collab.groupware.IPerson
`getAssistant, getBusinessAddress, getBusinessFax, getBusinessPager, getBusinessPhone, getCompanyName, getDepartmentName, getDisplayName, getFirstName, getHomeFax, getHomePhone, getJobTitle, getLastName, getManagerName, getMiddleName, getNamePrefix, getNameSuffix, getOfficeLocation, getPersonalAddress, getPersonalMobilePhone, getSmtpAddress, getWebPage, setAssistant, setBusinessAddress, setBusinessFax, setBusinessPager, setBusinessPhone, setCompanyName, setDepartmentName, setDisplayName, setFirstName, setHomeFax, setHomePhone, setJobTitle, setLastName, setManagerName, setMiddleName, setName, setNamePrefix, setNameSuffix, setOfficeLocation, setPersonalAddress, setPersonalMobilePhone, setSmtpAddress, setWebPage`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.domino.IDominoPerson
`getFullName`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_PHONETIC_NAME

    public static final int KEYID_PHONETIC_NAME

  The `int` ID for the `PHONETIC_NAME` key.

### KEYID_PHONE_LABEL_1

    public static final int KEYID_PHONE_LABEL_1

  The `int` ID for the `PHONE_LABEL_1` key.

### KEYID_PHONE_LABEL_2

    public static final int KEYID_PHONE_LABEL_2

  The `int` ID for the `PHONE_LABEL_2` key.

### KEYID_PHONE_LABEL_3

    public static final int KEYID_PHONE_LABEL_3

  The `int` ID for the `PHONE_LABEL_3` key.

### KEYID_PHONE_LABEL_4

    public static final int KEYID_PHONE_LABEL_4

  The `int` ID for the `PHONE_LABEL_4` key.

### KEYID_PHONE_LABEL_5

    public static final int KEYID_PHONE_LABEL_5

  The `int` ID for the `PHONE_LABEL_5` key.

### KEYID_PHONE_LABEL_6

    public static final int KEYID_PHONE_LABEL_6

  The `int` ID for the `PHONE_LABEL_6` key.

### KEYID_COMMENT

    public static final int KEYID_COMMENT

  The `int` ID for the `COMMENT` key.

### KEYID_SHORT_NAME

    public static final int KEYID_SHORT_NAME

  The `int` ID for the `SHORT_NAME` key.

### PHONETIC_NAME

    public static final Key PHONETIC_NAME

  Key that represents the phonetic name.

### PHONE_LABEL_1

    public static final Key PHONE_LABEL_1

  Key that represents the phone label 1.

### PHONE_LABEL_2

    public static final Key PHONE_LABEL_2

  Key that represents the phone label 2.

### PHONE_LABEL_3

    public static final Key PHONE_LABEL_3

  Key that represents the phone label 3.

### PHONE_LABEL_4

    public static final Key PHONE_LABEL_4

  Key that represents the phone label 4.

### PHONE_LABEL_5

    public static final Key PHONE_LABEL_5

  Key that represents the phone label 5.

### PHONE_LABEL_6

    public static final Key PHONE_LABEL_6

  Key that represents the phone label 6.

### COMMENT

    public static final Key COMMENT

  Key that represents the comment.

### SHORT_NAME

    public static final Key SHORT_NAME

  Key that represents the short name.

### CLASS

    public static final ItemClass CLASS

  The item class of `IDominoContact`.

Method Detail

### getPhoneticName

    public java.lang.String getPhoneticName()
                                     throws CollaborationException

  Gets the phonetic name of the contact.
  Returns:
    the phonetic name of the contact (not `null`)
  See Also:
    `PHONETIC_NAME`

### setPhoneticName

    public void setPhoneticName(java.lang.String sName)
                         throws CollaborationException

  Sets the phonetic name of the contact.
  Parameters:
    `sName` - the phonetic name (not `null`)
  See Also:
    `PHONETIC_NAME`

### getPhoneLabel1

    public java.lang.String getPhoneLabel1()
                                    throws CollaborationException

  Gets the phone label 1 for the contact.
  Returns:
    the phone label 1 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_1`

### setPhoneLabel1

    public void setPhoneLabel1(java.lang.String sPhoneLabel1)
                        throws CollaborationException

  Sets the phone label 1 for the contact.
  Parameters:
    `sPhoneLabel1` - the phone label 1 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_1`

### getPhoneLabel2

    public java.lang.String getPhoneLabel2()
                                    throws CollaborationException

  Gets the phone label 2 for the contact.
  Returns:
    the phone label 2 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_2`

### setPhoneLabel2

    public void setPhoneLabel2(java.lang.String sPhoneLabel2)
                        throws CollaborationException

  Sets the phone label 2 for the contact.
  Parameters:
    `sPhoneLabel2` - the phone label 2 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_2`

### getPhoneLabel3

    public java.lang.String getPhoneLabel3()
                                    throws CollaborationException

  Gets the phone label 3 for the contact.
  Returns:
    the phone label 3 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_3`

### setPhoneLabel3

    public void setPhoneLabel3(java.lang.String sPhoneLabel3)
                        throws CollaborationException

  Sets the phone label 3 for the contact.
  Parameters:
    `sPhoneLabel3` - the phone label 3 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_3`

### getPhoneLabel4

    public java.lang.String getPhoneLabel4()
                                    throws CollaborationException

  Gets the phone label 4 for the contact.
  Returns:
    the phone label 4 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_4`

### setPhoneLabel4

    public void setPhoneLabel4(java.lang.String sPhoneLabel4)
                        throws CollaborationException

  Sets the phone label 4 for the contact.
  Parameters:
    `sPhoneLabel4` - the phone label 4 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_4`

### getPhoneLabel5

    public java.lang.String getPhoneLabel5()
                                    throws CollaborationException

  Gets the phone label 5 for the contact.
  Returns:
    the phone label 5 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_5`

### setPhoneLabel5

    public void setPhoneLabel5(java.lang.String sPhoneLabel5)
                        throws CollaborationException

  Sets the phone label 5 for the contact.
  Parameters:
    `sPhoneLabel5` - the phone label 5 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_5`

### getPhoneLabel6

    public java.lang.String getPhoneLabel6()
                                    throws CollaborationException

  Gets the phone label 6 for the contact.
  Returns:
    the phone label 6 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_6`

### setPhoneLabel6

    public void setPhoneLabel6(java.lang.String sPhoneLabel6)
                        throws CollaborationException

  Sets the phone label 6 for the contact.
  Parameters:
    `sPhoneLabel6` - the phone label 6 for the contact (not `null`)
  See Also:
    `PHONE_LABEL_6`

### getComment

    public java.lang.String getComment()
                                throws CollaborationException

  Gets the comment of the contact.
  Returns:
    the comment of the contact (not `null`)
  See Also:
    `COMMENT`

### setComment

    public void setComment(java.lang.String sComment)
                    throws CollaborationException

  Sets the comment of the contact.
  Parameters:
    `sComment` - the comment of the contact (not `null`)
  See Also:
    `COMMENT`

### getShortName

    public java.lang.String getShortName()
                                  throws CollaborationException

  Gets the short name of the contact.
  Returns:
    the short name of the contact (not `null`)
  See Also:
    `SHORT_NAME`

### setShortName

    public void setShortName(java.lang.String sShortName)
                      throws CollaborationException

  Sets the short name of the contact.
  Parameters:
    `sShortName` - the short name of the contact (not `null`)
  See Also:
    `SHORT_NAME`

### setFullName

    public void setFullName(java.lang.String sFullName)
                     throws CollaborationException

  Sets the full name of the contact.
  Parameters:
    `sFullName` - the full name of the contact (not `null`)
  See Also:
    `IDominoPerson.FULL_NAME`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.